#!/usr/bin/make -f
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=ripe-atlas-sagan
export PYBUILD_TEST_ARGS=tests/*.py -k 'not test_invalid_country_code'

include /usr/share/dpkg/default.mk

%:
	dh $@ --with=sphinxdoc --buildsystem=pybuild

.PHONY: override_dh_clean
override_dh_clean:
	dh_clean
	rm -rf ripe.atlas.sagan.egg-info
	rm -rf docs/_build

.PHONY: override_dh_auto_build
override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C docs html
